# class MutationObserver

#### package js.html

Available on HTML5

`MutationObserver` provides developers a way to react to changes in a DOM. It is designed as a replacement for Mutation Events defined in the DOM3 Events specification.

Documentation MutationObserver by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/MutationObserver

### Constructor

###

`new (mutationCallback:Array<MutationRecord> ‑> MutationObserver ‑> Void)`

Throws:

`null` | DOMError

### Methods

###

`disconnect ():Void`

###

`observe (target:Node, ?options:MutationObserverInit):Void`

Throws:

`null` | DOMError

###

`takeRecords ():Array<MutationRecord>`